/**
  ******************************************************************************
  * @file    LED.c
  * @author  Waveshare Team
  * @version V1.0
  * @date    29-August-2014
  * @brief     Set of firmware functions to manage leds

  ******************************************************************************
  * @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, WAVESHARE SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  ******************************************************************************
  */


#include "LED.h"

/**
  * @brief  Initializes LED GPIO
  * @param  None
  * @retval None
  */

void LED_Init(void)
{
	GPIO_InitTypeDef  GPIO_InitStructure;
	
	/*GPIOC periph clock enable*/	
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB, ENABLE);
	
	/*Configure PC9 in output pushpull mode*/
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_12 | GPIO_Pin_13;				 		 
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP; 
	GPIO_Init(GPIOB, &GPIO_InitStructure);
	
	GPIO_ResetBits(GPIOB, GPIO_Pin_12 | GPIO_Pin_13);
}

/**
  * @brief  LED flashs
  * @param  None
  * @retval None
  */

void LED_Blinking(void)
{
	static uint16_t PeriodCnt = 0;

	PeriodCnt = (++ PeriodCnt) % 500;
	if(PeriodCnt < 50)
	{
		GPIO_SetBits(GPIOB, GPIO_Pin_12);
	}
	else
	{
		GPIO_ResetBits(GPIOB, GPIO_Pin_12);
	}
}

/******************* (C) COPYRIGHT 2014 Waveshare *****END OF FILE*******************/

